Home/Support/Support Forum/NET+OS build Invalid Platform
New and improved user forum site going live on 12/6 (All users will need to reset their password when the new forum is active)
Welcome to Digi Forum, where you can ask questions and receive answers from other members of the community.

NET+OS build Invalid Platform

0 votes
I am (rebuilding) a NET+OS project without any changes and I am getting an error:

*** You have entered an invalid platform, the valid platforms are: ns9750_a, ns9360_a, ns7520_a, ns9210_a, connectme9210, connectwiem9210, connectwime9210, connectcore9p9215_a connectcorewi9p9215_a connectme, connectem, connectsp, connectwisp, connectwime, connectwiem, connectcore9c_a, connectcorewi9c_a, connectcore7u_a, connectcore9p9360_a, connectme9210can. Stop. [../../Makefile.tools]

The platform selected is connectme9210 and has been built before (without any changes).
I tried clean and rebuild and still get the error.
Ultimately I need to build it for the connectcore9P9215 platform due to part availablilty.
Any suggestions as to why this problem has cropped up?
asked Aug 8 in NET+OS by AALevine New to the Community (2 points)

Please log in or register to answer this question.

2 Answers

0 votes
 
Best answer
Sorry, I remembered the issue from many months back.
I need to start NET+OS IDE as administrator.
I changed the short cut so it does this when I forget again in the future.

Thank you.
answered Aug 22 by AALevine New to the Community (2 points)
selected Aug 29 by LeonidM
0 votes
Can you create and build a sample Netos project from the menu? If not I would suggest to backup and reinstall Netos/DigiESP.
answered Aug 22 by LeonidM Veteran of the Digi Community (4,490 points)
...